#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	nettle
Version		:	3.9.1
Release		:	16.2.0.rel%{?dist}
Summary		:	Low-level cryptographic library.
Group		:	Development/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	https://ftp.gnu.org/gnu/nettle

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
%description
The Nettle package contains a low-level cryptographic library that
is designed to fit easily in many contexts. 
In crypto toolkits for object-oriented languages
(C++, Python, Pike, ...), in applications like LSH or GNUPG, or
even in kernel space.

#-----------------------------------------------------------------------------
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
	--includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

chmod 755 %{buildroot}/%{_libdir}/lib{%{name},hogweed}.so*

#installing documentation
%{__mkdir_p}						\
	%{buildroot}%{_defaultdocdir}/%{name}-%{version}
%{__cp} -a						\
	%{name}.html					\
	%{buildroot}%{_defaultdocdir}/%{name}-%{version}

#cleaning empty directory
%{__rm}  %{buildroot}/%{_datadir}/info/dir

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, -)
%doc AUTHORS COPYINGv2 COPYINGv3 NEWS README
%{_includedir}/%{name}/*.h
%{_bindir}/%{name}-*
%{_bindir}/pkcs1-conv
%{_bindir}/sexp-conv
%{_libdir}/lib%{name}.{la,so*}
%{_libdir}/libhogweed.so*
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/pkgconfig/hogweed.pc
%{_defaultdocdir}/%{name}-%{version}/%{name}.html
%{_datadir}/info/%{name}.info.gz

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog
